import {SET_CURRENT_USER, LOGOUT_USER} from '../actions/session_actions'

const initialState = {currentUser: null}
const userReducer = (state = initialState, action) => {
    Object.freeze(state);
    let newState = Object.assign({}, state);
    switch (action.type) {
        case SET_CURRENT_USER:
            return newState.currentUser = { emailAddress: 'fakeEmail@123'};
        
        case LOGOUT_USER:
            return newState.currentUser = null;
        
        default:
            return state;
    }
}

export default userReducer;
